Skip to main content
GET
/
yield
/
{identifier}
Get best yield strategy
curl --request GET \
  --url https://api.deframe.io/yield/{identifier} \
  --header 'x-api-key: <api-key>'
{
  "recommendedStrategyId": "Morpho-SteakhouseUSDC-base",
  "destinationChain": "base",
  "bytecodeExecution": [
    {
      "to": "0xA0b86991c6218b36c1d19D4a2e9Eb0cE3606eB48",
      "data": "<string>",
      "value": "<string>",
      "chainId": 123
    }
  ],
  "strategy": {
    "id": "Aave-USDC-ethereum",
    "protocol": "Aave",
    "network": "ethereum",
    "networkId": "1",
    "asset": "0xA0b86991c6218b36c1d19D4a2e9Eb0cE3606eB48",
    "assetName": "USDC",
    "assetDecimals": 6,
    "underlyingAsset": "0xA0b86991c6218b36c1d19D4a2e9Eb0cE3606eB48",
    "underlyingDecimals": 6,
    "availableActions": [
      "lend",
      "withdraw"
    ],
    "paused": false,
    "apy": 0.0525,
    "inceptionApy": 0.0485,
    "avgApy": 0.0502,
    "fee": "0",
    "performanceFeeBps": "0",
    "isDefault": false,
    "metadata": {},
    "logourl": "<string>",
    "implementationSelector": "<string>",
    "startDate": "2023-11-07T05:31:56Z"
  },
  "spotPosition": {}
}

Authorizations

x-api-key
string
header
required

API key for authentication. Obtain from your Deframe dashboard.

Path Parameters

identifier
string
required

Asset name (e.g., SteakhouseUSDC, wBETH) or category (e.g., lending, staking, fixed-yield, other)

Example:

"SteakhouseUSDC"

Query Parameters

wallet
string

User wallet address. When provided, amount is required. Ethereum address (EVM-compatible)

Example:

"0xA0b86991c6218b36c1d19D4a2e9Eb0cE3606eB48"

amount
string

Amount in the token's smallest unit (wei). Required when wallet is provided. Large integer represented as string (amount in token's smallest unit)

Example:

"1000000"

action
enum<string>
default:lend

Action to encode in the bytecode. Defaults to lend.

Available options:
lend,
withdraw
from
string

Origin chain name filter (optional)

to
string

Destination chain name filter (optional)

Response

Best matching strategy returned

Composite identifier in the format {protocol}-{assetName}-{network}

Example:

"Morpho-SteakhouseUSDC-base"

destinationChain
string
required

Network where the strategy operates

Example:

"base"

bytecodeExecution
required

Array of transaction objects to execute, or a message instructing to provide wallet and amount if those parameters were not supplied.

strategy
object
required

DeFi yield strategy details

spotPosition
object

Current market data for the strategy (APY, liquidity, etc.)